Name:		gsmartcontrol
Version:	0.8.7
Release:	%mkrel 4
License:	GPLv2, GPLv3
Url:		http://gsmartcontrol.berlios.de
Group:		System/Kernel and hardware
Source:		http://download.berlios.de/%{name}/%{name}-%{version}.tar.bz2
Summary:	GSmartControl - Hard Disk Health Inspection Tool

Requires:	gtkmm2.4 >= 2.12.0
Requires:	smartmontools
Requires:	usermode-consoleonly

BuildRequires:	pkgconfig(gtkmm-2.4)

%description
GSmartControl is a graphical user interface for smartctl, which is a tool for
querying and controlling SMART (Self-Monitoring, Analysis, and Reporting
Technology) data in hard disk drives. It allows you to inspect the drive's
SMART data to determine its health, as well as run various tests on it.

%prep
%setup -q
sed -i -e "s/Exec=.*gsmartcontrol-root\"/Exec=gsmartcontrol/" data/gsmartcontrol.desktop.in

%build
%configure2_5x
%make

%install
%makeinstall_std

mkdir %{buildroot}/%{_sbindir}
mv %{buildroot}/%{_bindir}/gsmartcontrol %{buildroot}/%{_sbindir}/gsmartcontrol
ln -s %{_bindir}/consolehelper %{buildroot}/%{_bindir}/gsmartcontrol

%files
%doc %{_datadir}/doc/gsmartcontrol
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/gsmartcontrol
%{_datadir}/gsmartcontrol
%{_datadir}/applications/*.desktop
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/gsmartcontrol-root.1*
%{_mandir}/man1/gsmartcontrol.1*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.8.7-4.mga4
+ Revision: 505263
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.8.7-3.mga3
+ Revision: 352693
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.8.7-2.mga3
+ Revision: 323775
- rebuild for new pcre

* Mon Aug 13 2012 sander85 <sander85> 0.8.7-1.mga3
+ Revision: 281049
- New version: 0.8.7

* Mon Jul 23 2012 sander85 <sander85> 0.8.6-2.mga3
+ Revision: 273686
- Add patches from Fedora to fix build with newer glib and gcc.

* Tue Jun 14 2011 sander85 <sander85> 0.8.6-1.mga2
+ Revision: 105950
- new version 0.8.6

* Wed May 04 2011 sander85 <sander85> 0.8.5-2.mga1
+ Revision: 94956
- clean spec
- imported package gsmartcontrol


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-2mdv2011.0
+ Revision: 610986
- rebuild

* Wed Jan 20 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.5-1mdv2010.1
+ Revision: 493959
- New version: 0.8.5
- Drop an apparently unnneeded GCC 4.4 patch

* Sun Jul 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.4-2mdv2010.0
+ Revision: 400223
- Use consolehelper to launch gsmartcontrol as root when started from menu

* Thu May 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 375788
- Update to new version 0.8.4
- Remove unused source
- Fix source URL

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.8.3-1mdv2009.1
+ Revision: 319963
- drop BR
- New version 0.8.3

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.8.1-2mdv2009.1
+ Revision: 307457
- drop requries on libpcre, it was already generated by binary dependency

* Thu Nov 13 2008 Erwan Velu <erwan@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 302911
- Adding missing buildrequires
- Using new _root.sh script from the author
- import gsmartcontrol


* Mon Oct 06 2008 Alexander Shaduri <ashaduri 'at' gmail.com>
- Updated .spec file to support OpenSUSE < 10.3, Fedora and friends,
	Mandriva (for OpenSUSE Build Service).

* Mon Sep 15 2008 Alexander Shaduri <ashaduri 'at' gmail.com>
- Initial .spec file.

